Name: x11-driver-video-tdfx
Version: 1.5.0
Release: %mkrel 4
Summary: X.org driver for Voodoo Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-tdfx-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64
 
BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-tdfx is the X.org driver for Voodoo Cards.

%prep
%setup -q -n xf86-video-tdfx-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/tdfx_drv.so
%{_mandir}/man4/tdfx.*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.5.0-4.mga9
+ Revision: 1837978
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 tmb <tmb> 1.5.0-3.mga9
+ Revision: 1748568
- rebuild for updated xserver-abi
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 1.5.0-2.mga8
+ Revision: 1544068
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Feb 17 2019 tv <tv> 1.5.0-1.mga7
+ Revision: 1367941
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.4.7-3.mga7
+ Revision: 1301774
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.4.7-2.mga7
+ Revision: 1207725
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 1.4.7-1.mga6
+ Revision: 1082225
- new release

* Thu Nov 17 2016 tv <tv> 1.4.6-7.mga6
+ Revision: 1067890
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.4.6-5.mga6
+ Revision: 1043292
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.4.6-4.mga6
+ Revision: 963428
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.4.6-3.mga6
+ Revision: 902319
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.4.6-2.mga6
+ Revision: 902071
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 1.4.6-1.mga6
+ Revision: 837477
- drop merged patch
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.4.5-12.mga5
+ Revision: 745483
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.5-11.mga5
+ Revision: 690461
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.4.5-10.mga5
+ Revision: 635056
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.4.5-9.mga5
+ Revision: 633701
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.4.5-8.mga5
+ Revision: 614391
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.4.5-7.mga5
+ Revision: 582378
- patch 0: fix build with xserver-1.14

* Fri Dec 06 2013 tmb <tmb> 1.4.5-6.mga4
+ Revision: 555624
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.4.5-5.mga4
+ Revision: 525473
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.4.5-4.mga4
+ Revision: 433203
- submit to core/release

* Fri May 24 2013 tv <tv> 1.4.5-3.mga4
+ Revision: 425991
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.4.5-3.mga3
+ Revision: 386028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.4.5-2.mga3.nonfree
+ Revision: 288977
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.4.5-1.mga3
+ Revision: 273775
- new release

* Wed Jun 06 2012 tmb <tmb> 1.4.4-3.mga3
+ Revision: 256500
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.4.4-2.mga3
+ Revision: 253027
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.4.4-1.mga3
+ Revision: 249906
- new release

* Tue Dec 06 2011 tmb <tmb> 1.4.3-6.mga2
+ Revision: 177688
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.4.3-5.mga2
+ Revision: 153136
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.4.3-4.mga1
+ Revision: 64418
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.4.3-3.mga1
+ Revision: 50319
- imported package x11-driver-video-tdfx


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.4.3-3mdv2011.0
+ Revision: 595718
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.4.3-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1.4.3-1mdv2010.0
+ Revision: 407724
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-1mdv2010.0
+ Revision: 391934
- update to new version 1.4.2

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.4.1-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.1-1mdv2009.1
+ Revision: 317852
- New version 1.4.1

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.0-3mdv2009.1
+ Revision: 308177
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 265951
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0-1mdv2009.0
+ Revision: 194134
- Update to version 1.4.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-5mdv2008.1
+ Revision: 166141
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-4mdv2008.1
+ Revision: 156622
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-3mdv2008.1
+ Revision: 154792
- Updated BuildRequires and resubmit package.
- Remove debug package.
  Update BuildRequires.
  This package needs more testing. In both, cooker and code yet to enter
  cooker, it will cause the same crash when trying to just query glxinfo:
  ##------------------------------------------------------------------------
  [...]
  (EE) TDFX(0): DRIUnlock called when not locked.
  Backtrace:
  0: /etc/X11/X(xf86SigHandler+0x68) [0x80c2738]
  1: [0xffffe420]
  2: /usr/lib/dri/tdfx_dri.so [0xb38dae90]
  3: /usr/lib/xorg/modules/extensions//libglx.so [0xb7c1e3c8]
  4: /usr/lib/xorg/modules/extensions//libglx.so(DoMakeCurrent+0x362) [0xb7be75f2]
  5: /usr/lib/xorg/modules/extensions//libglx.so [0xb7be7858]
  6: /usr/lib/xorg/modules/extensions//libglx.so [0xb7be9e3c]
  7: /etc/X11/X [0x814de77]
  8: /etc/X11/X(Dispatch+0x4f0) [0x8088790]
  9: /etc/X11/X(main+0x46b) [0x806ec3b]
  10: /lib/i686/libc.so.6(__libc_start_main+0xe0) [0xb7ce8390]
  11: /etc/X11/X(FontFileCompleteXLFD+0x211) [0x806dfb1]
  Caught signal 11. Trying to kill client.
  To be debugged....
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Generate tarball from tag xf86-video-tdfx-1.3.0. And also apply several
  newer patches as there are a few bug fixes, and some cases where macros
  are used to replace old code allowing a "theoretically" easier way to
  handle server builds with libpci acccess interface enabled or not.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-2mdv2008.1
+ Revision: 99055
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed Nov 22 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0-1mdv2007.0
+ Revision: 86347
- new upstream release (1.3.0):
  * Fix DRI locking with xorg 7.1 and newer
- added patch: Fix the "undefined symbol: getsecs" error by replacing getsecs
  by xf86getsecs
- new upstream release
- rebuild to fix cooker uploading
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

